/*
    gpio.c

-----------------------------------------------------------------------------

  This file is part of mikroSDK.
  
  Copyright (c) 2017, MikroElektonika - http://www.mikroe.com

  All rights reserved.

----------------------------------------------------------------------------- */

/**
        \file   gpio.c

- Version               :   1.0.0
- Date                  :   Jun 2019
- Developer             :   Milos Vidojevic

---

    Hints :

    - Copy file inside [project base directory]/portable.
    - Replace all "---" appearances with proper values.

*/
/* -------------------------------------------------------------------------- */

#include "bsp.h"

// ============================================================================
//                                                                  Soft I2C
// ============================================================================

#if ( _MMB_MODULE_RGBLED == 1 )

#    if ( defined( _MIKROMEDIA_5_ ) && defined( __KINETIS__ ) )

sbit Soft_I2C_Scl_Output    at              GPIOB_PDOR.B2;
sbit Soft_I2C_Scl_Input     at              GPIOB_PDIR.B2;
sbit Soft_I2C_Sda_Output    at              GPIOB_PDOR.B3;
sbit Soft_I2C_Sda_Input     at              GPIOB_PDIR.B3;

#    endif

#endif

// ============================================================================
//                                                                   MMC Lib
// ============================================================================

#   ifdef TEST_PROJECT

sbit Mmc_Chip_Select        at              GPIOB_PDOR.B8;

#   endif

// ============================================================================
//                                                                   TFT Lib
// ============================================================================

#ifdef TEST_PROJECT

//sbit TFT_BLED               at              GPIOB_PDOR.B8;
sbit TFT_CS                 at              GPIOB_PDOR.B20;
sbit TFT_RD                 at              GPIOB_PDOR.B22;
sbit TFT_RS                 at              GPIOB_PDOR.B21;
sbit TFT_RST                at              GPIOB_PDOR.B19;
sbit TFT_WR                 at              GPIOB_PDOR.B23;
unsigned int TFT_DataPort   at              GPIOD_PDOR;

#endif

/* -------------------------------------------------------------------------- */
/*
    gpio.c

  Copyright (c) 2017, MikroElektonika - http://www.mikroe.com

  All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software
   must display the following acknowledgment:
   This product includes software developed by the MikroElektonika.

4. Neither the name of the MikroElektonika nor the
   names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY MIKROELEKTRONIKA ''AS IS'' AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL MIKROELEKTRONIKA BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

----------------------------------------------------------------------------- */ 